MEMORY
{
    BLRAM (rwx) : ORIGIN = 0x00000000, LENGTH = 2048
}

SECTIONS
{
    .text :
    {
        KEEP(*(.start))

        *(.text*)
        *(.rodata*)
    } > BLRAM

    .bss (NOLOAD) :
    {
        _bss_begin = .;
        *(.bss*)
        *(COMMON)
        _bss_end = .;
    } > BLRAM

    .data :
    {
        *(.data*)

        __exidx_start = .;
        *(.exidx*)
        __exidx_end = .;
    } > BLRAM

    _initial_stack_pointer = 2048;
}
